# Default values for okonomi-docs-helm.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount:
  web: 1
  worker: 1

image:
  repository: registry.gitlab.com/okonomi-cloud/okonomi-docs/okonomi-docs-api
  pullPolicy: IfNotPresent
  # Overrides the image tag whose default is the chart appVersion.
  tag: ""

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port: 80

ingress:
  enabled: false
  annotations: {}
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  hosts:
    - host: chart-example.local
      paths:
      - path: /
        backend:
          serviceName: chart-example.local
          servicePort: 80
  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []

affinity: {}

s3:
  enabled: true
  region: ""
  bucket: ""
  secretKey: ""
  secretKeySecret:
    name: ""
    key: ""
  accessKey: ""
  accessKeySecret:
    name: ""
    key: ""

database:
  adapter: "postgresql"
  encoding: "unicode"
  host: ""
  port: "5432"
  name: "okonomi-docs"
  username: ""
  usernameSecret:
    name: ""
    key: ""
  password:
  passwordSecret:
    name: ""
    key: ""

rails:
  secretKeyBase: ""
  secretKeyBaseSecret:
    name: ""
    key: ""
  maxThreads: "5"
  environment: "production"
  logToStdout: "enabled"
  serveStaticFiles: "enabled"
